Subject: [netlmm] Comments on draft-krishnan-netlmm-pmip-sel-00

From: Frank Xia <[email-masked]>
Date: Mon, 09 Jul 2007 11:45:05 -0500

Hi all

1) Different service means different accounting policy, priority,QoS and so on.
   How to corelate them?
2) In PMIPv6 IPv4 support scenario, there is no any RS/RA support
3) In this document , MN can signal to the PMIPv6 network whether it
   would like to make use of the Proxy Mobility service or not.
   In fact , we can list other service, such as, ipv4 support Proxy Mobile,
   while IPv6 is only simple IP.

   I think that accommodating these cases with RA/RS expansion is not enough.

4)We have proposed a solution using EAP expansion. Probably it is helpful.
  http://tools.ietf.org/wg/netlmm/draft-xia-netlmm-service-negotiation-00.txt

BR
Frank

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm

---

From: Suresh Krishnan <[email-masked]>
Date: Mon, 09 Jul 2007 18:34:49 -0400

Hi Frank,
  Thanks for the comments. Please see responses inline.

> 1) Different service means different accounting policy, priority,QoS and 

The proposed mechanism is just for denoting a preference for a given
mobility mechanism. I believe that the considerations you have mentioned
are orthogonal to the mobility mechanism.

> 2) In PMIPv6 IPv4 support scenario, there is no any RS/RA support

Check RFC1256. The concepts illustrated in the draft can equally apply
to update the IPv4 RS/RA messages.

>    while IPv6 is only simple IP.

You are talking more about capability exchange/negotiation rather than a
simple selection. I believe what you want to solve is a valid problem.
It is just not the same problem I was trying to address.

> http://tools.ietf.org/wg/netlmm/draft-xia-netlmm-service-negotiation-00.txt

Not all link layers use EAP originating at the MN for authentication
:-). How do we solve this problem for those?

Cheers
Suresh